import greenfoot.*; 
// This is the Player in my video game.
public class Tank2 extends Players
{
    private int points = 0;
    private Counter2 counter2;
    int moveSpeed = 2;
    int hasFlag = 0;

    public Tank2()
    {
    }
    
    public void act()
    {
        checkKeys();
        tryToGet();
    }

    public void checkKeys()
    { 
        if ( Greenfoot.isKeyDown("8") )
        {
            move(moveSpeed);
            if ( isTouching(Wall.class) || isTouching(Hbar.class) || isTouching(Vbar.class) || isTouching(Tank1.class))
            {move(-1*moveSpeed);}   
        }
        if ( Greenfoot.isKeyDown("5") )
        {
            move(-1*moveSpeed);
            if ( isTouching(Wall.class) || isTouching(Hbar.class) || isTouching(Vbar.class) || isTouching(Tank1.class))
            {move(moveSpeed);}   
        }
        if ( Greenfoot.isKeyDown("4") )
        {
            turn(-3);
        }
        if ( Greenfoot.isKeyDown("6") )
        {
            turn(3);
        }
        if ( Greenfoot.isKeyDown("0") )
        {
            // shoot
        }
    }


    /** 
     *  Check for Fuel or Bonus and Get Them
     */
    public void tryToGet()
    {
       if (isTouching(Flag.class) )
        {
            get(Flag.class);
            hasFlag = 1;
            //Greenfoot.playSound("heartbeat.wav");
        }

       if (canSee(Fuel.class) )
        {
            get(Fuel.class);
            //Greenfoot.playSound("heartbeat.wav");
        }

        if (canSee(Bonus.class) )
        {
            get(Bonus.class);
            //Greenfoot.playSound("ominous.wav");
            createNewBonus();
        }

            if (isTouching(Counter2.class) )
        {
            if (hasFlag == 1){
            hasFlag = 0;
            // Figure out how to add to the darn score!!!
            //Greenfoot.playSound("ominous.wav");
            //counter1.add(5);
            //Counter1 counter1 = (Counter1) getWorld().getObjects(Counter1.class).get(0);  
            //counter1.add(5);
            createNewFlag();
        }
        }

    }

    /**
     * Create a new Bonus and insert it at a random location along a border/edge.
     */
    private void createNewFlag()
    {
        Flag newFlag;
        newFlag = new Flag();
        World world;
        world = getWorld();                     
        world.addObject(newFlag, 400, 300);
    }
    
    /**
     * Create a new Bonus and insert it at a random location along a border/edge.
     */
    private void createNewBonus()
    {
        Bonus newBonus;
        newBonus = new Bonus();
        World world;
        world = getWorld();
        int worldWidth = world.getWidth();
        int worldHeight = world.getHeight();
        int xBonus;
        int yBonus;
        xBonus = Greenfoot.getRandomNumber(worldWidth-60)+40;
        yBonus = Greenfoot.getRandomNumber(worldHeight-60)+40;                     
        world.addObject(newBonus, xBonus, yBonus);
    }
}
